mod expression_interpreter;
mod statement_interpreter;
pub use super::{error::RuntimeError, types};
use super::{types::Value, world::World};

pub trait Interpret {
	fn interpret(&self, world: &mut World) -> Result<Value, RuntimeError>;
}
